﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Backend.Csv {
  public partial class CsvExporterView : UserControl {
    private SaveFileDialog saveFileDialog;
    public CsvExporterView() {
      InitializeComponent();
      this.saveFileDialog = new SaveFileDialog();
      saveFileDialog.AddExtension = true;
      saveFileDialog.RestoreDirectory = true;
      saveFileDialog.DefaultExt = "csv";
      saveFileDialog.Filter = "Comma-Separated-Values file (*.csv)|*.csv|All files (*.*)|*.*";
    }

    public string FileName {
      get { return txtFileName.Text; }
    }

    public bool IncludeColumnNames {
      get { return this.chbIncludeColumnNames.Checked; }
    }

    private void btnBrowse_Click(object sender, EventArgs e) {
      if (saveFileDialog.ShowDialog() == DialogResult.OK) {
        this.txtFileName.Text = saveFileDialog.FileName;
      }
    }
  }
}
